Imports System.Data
Imports System.Data.SqlClient

Partial Class Content
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        ' Execute code only if the page load not is a post back.
        If Page.IsPostBack = False Then

            ' The user friendly link to this webpage is http://domain/CategoryName/LinkName/ and this url are
            ' rewritten to http://domain/Content.aspx?Cat=CategoryName&Link=LinkName according to the rule in
            ' "web.config" file. We get the value from the parameter named Link when this page loads and store
            ' this value in the hidden field "HiddenLinkName".

            If Not Request.QueryString("Link") Is Nothing Then
                HiddenLinkName.Value = Convert.ToString(Request.QueryString("Link"))
            End If

            ' We select one single row from the Content table where there is a match between the LinkName in the table
            ' and the LinkName according to the value in the hidden field "HiddenLinkName". We use SqlDataReader to
            ' select one single row and output "Title" to the HeadLiteral and "Text" to the DescriptionLiteral.

            Try
                Dim ConnString As String = ConfigurationManager.ConnectionStrings("ConnectionString").ToString()
                Dim sql As String = "SELECT * FROM Content WHERE LinkName = @LinkName"

                ' The Using block is used to call dispose (close) automatically even if there are an exception.
                Using cn As New SqlConnection(ConnString), _
                      cmd As New SqlCommand(sql, cn)
                    cmd.Parameters.Add("@LinkName", SqlDbType.VarChar, 60).Value = HiddenLinkName.Value

                    cn.Open()
                    ' The Using block is used to call dispose (close) automatically even if there are an exception.
                    Using reader As SqlDataReader = cmd.ExecuteReader(CommandBehavior.SingleRow)
                        While reader.Read()
                            HeadLiteral.Text = reader("Title").ToString()
                            DescriptionLiteral.Text = reader("Text").ToString()
                        End While
                    End Using

                End Using
            Catch ex As Exception
                Response.Write(ex.Message)
            End Try
        End If
    End Sub
End Class
