﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
// Import namespaces for MS SQL.
using System.Configuration;
using System.Data;
using System.Data.SqlClient;

public partial class Content : System.Web.UI.Page
{
    protected void Page_Load(object sender, System.EventArgs e)
    {
        // Execute code only if the page load not is a post back.
        if (!Page.IsPostBack)
        {
            // The user friendly link to this webpage is http://domain/CategoryName/LinkName/ and this url are
            // rewritten to http://domain/Content.aspx?Cat=CategoryName&Link=LinkName according to the rule in
            // "web.config" file. We get the value from the parameter named Link when this page loads and store
            // this value in the hidden field "HiddenLinkName".

            if (Request.QueryString["Link"] != null)
                HiddenLinkName.Value = Convert.ToString(Request.QueryString["Link"]);

            // We select one single row from the Content table where there is a match between the LinkName in the table
            // and the LinkName according to the value in the hidden field "HiddenLinkName". We use SqlDataReader to
            // select one single row and output "Title" to the HeadLiteral and "Text" to the DescriptionLiteral.

            // Declare variables for a connection string and a SELECT statement.
            string ConnString = ConfigurationManager.ConnectionStrings["ConnectionString"].ToString();
            string sql = "SELECT * FROM Content WHERE LinkName = @LinkName";

            // Create a SqlConnection. The using block is used to call dispose (close) automatically even if 
            // there are an exception.
            using (SqlConnection cn = new SqlConnection(ConnString))
            {
                // Create a SqlCommand.
                SqlCommand cmd = new SqlCommand(sql, cn);

                // Create a SqlDataReader.
                SqlDataReader reader = null;

                // Add parameters.
                cmd.Parameters.AddWithValue("@LinkName", HiddenLinkName.Value);
                try
                {
                    // Open the connection.
                    cn.Open();

                    // Execute the SELECT command.
                    reader = cmd.ExecuteReader(CommandBehavior.SingleRow);

                    // Loop the reader.
                    while (reader.Read())
                    {
                        HeadLiteral.Text = reader["Title"].ToString();
                        DescriptionLiteral.Text = reader["Text"].ToString();
                    }

                }
                catch (Exception ex)
                {
                    Response.Write(ex.Message);
                }
                finally
                {
                    // Dispose the SqlCommand.
                    cmd.Dispose();

                    // Close the reader.
                    if (reader != null)
                        reader.Close();
                }
            }
        }
    }
}