﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
// Import namespaces for MS SQL.
using System.Configuration;
using System.Data;
using System.Data.SqlClient;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, System.EventArgs e)
    {

        // We first check to see if it is a postback that causes this page to load and only execute the code
        // below if it not is a postback like a button click.
        if (!Page.IsPostBack)
        {

            // We select Category ID, Title and Description from the Category table and binds the selected data
            // to the CategoryListRepeater by using a Sqlreader.

            // Declare variables for a connection string and a SELECT statement.
            string ConnString = ConfigurationManager.ConnectionStrings["ConnectionString"].ToString();
            string sql = "SELECT CategoryID, Title, Description FROM Category ORDER BY Title ASC";

            // Create a SqlConnection. The using block is used to call dispose (close) automatically even if 
            // there are an exception.
            using (SqlConnection cn = new SqlConnection(ConnString))
            {
                // Create a SqlCommand.
                SqlCommand cmd = new SqlCommand(sql, cn);

                // Create a SqlDataReader.
                SqlDataReader reader = null;

                try
                {
                    // Open the connection.
                    cn.Open();

                    // Execute the SELECT statement and fill the reader with data.
                    reader = cmd.ExecuteReader();

                    // Bind data to a repeater.
                    CategoryListRepeater.DataSource = reader;
                    CategoryListRepeater.DataBind();

                }
                catch (Exception ex)
                {
                    Response.Write(ex.Message);
                }
                finally
                {
                    // Dispose the SqlCommand and close the reader.
                    cmd.Dispose();
                    if (reader != null)
                        reader.Close();
                }
            }
        }
    }

    protected string GeneratePageURL(object Catname)
    {
        // This function is called in the navigation link for the HyperLink in the web form.

        // Create a SEO-Friendly Url for every category. We use the / sign in front of the url
        // to be sure that the url starts from the root.
        string strLink = "/" + Catname + "/";

        return strLink;
    }
}